Batch add instance accounts
Adds multiple Minecraft accounts to the instance in a single operation. More efficient than multiple AddInstanceAccount calls.
Adds multiple Minecraft accounts to the instance in a single operation. More efficient than multiple AddInstanceAccount calls.
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
id*string
The unique identifier (UUID) of the instance.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
accounts.type*
accounts.profile_id*string
accounts.last_known_name*string
accounts.online_chain_java_data.auth_chain*
accounts.bedrock_data.auth_chain*
accounts.online_simple_java_data.access_token*string
accounts.online_simple_java_data.expire_time_ms*integer
Format
int64accounts.config.namespace*string
accounts.config.entries.key*string
accounts.config.entries.value*
accounts.persistent_metadata.namespace*string
accounts.persistent_metadata.entries.key*string
accounts.persistent_metadata.entries.value*
Response Body
application/json
application/json
application/json
application/json
curl -X POST "http://127.0.0.1:38765/v1/instances/p0/accounts:batchAdd" \ -H "Content-Type: application/json" \ -d '{ "accounts.type": {}, "accounts.profile_id": "string", "accounts.last_known_name": "string", "accounts.online_chain_java_data.auth_chain": {}, "accounts.bedrock_data.auth_chain": {}, "accounts.online_simple_java_data.access_token": "string", "accounts.online_simple_java_data.expire_time_ms": 0, "accounts.config.namespace": "string", "accounts.config.entries.key": "string", "accounts.config.entries.value": {}, "accounts.persistent_metadata.namespace": "string", "accounts.persistent_metadata.entries.key": "string", "accounts.persistent_metadata.entries.value": {} }'{}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}How is this page?